%define name xmms-smpeg
%define version 0.3.5
%define release 4mdk

Name: %{name}
Summary: This plugin lets you play mpeg videos with the xmms multimedia player
Version: %{version}
Release: %{release}
License: GPL
Group: Video
Source0: ftp://ftp.xmms.org/xmms/plugins/smpeg-xmms/smpeg-xmms-%{version}.tar.bz2
Patch0:	%{name}-0.3.5-configure-gcc-3.3.fix.patch.bz2
URL: http://195.139.204.136/xmms/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires:	esound-devel
BuildRequires:	libsmpeg-devel
BuildRequires:	libxmms-devel
BuildRequires:	mawk
BuildRequires:	texinfo
BuildRequires:	automake1.4
Requires: xmms

%description
This plugin lets you play mpeg videos with the xmms multimedia player.

%prep
%setup -q -n smpeg-xmms-%{version}
%patch0 -p0
libtoolize --copy --force
aclocal-1.4
automake-1.4 -a -c --gnu
FORCE_AUTOCONF_2_5=1 autoconf-2.5x

%build
# I ran into big trouble using the %%configure script, because of libtoolize; it won't link the shared library
export CFLAGS=$RPM_OPT_FLAGS
export CXXFLAGS=$RPM_OPT_FLAGS
./configure %{_target_platform} --prefix=%{_prefix} --libdir=%{_libdir}
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc README AUTHORS COPYING NEWS TODO
%{_libdir}/xmms/Input/*

%changelog
* Fri Jul 16 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.5-4mdk
- fix build with new autotools
- remove packager tag

* Tue Mar  2 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.3.5-3mdk
- drop redundant buildrequires
- fix patching

* Mon Jul 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.3.5-2mdk
- drop redundant buildrequires
- fix gcc-3.3 issues in smpeg test code (P0)
- use %%_target_platform with configure

* Tue Dec 17 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.5-1mdk
- new version

* Wed Nov 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.3.4-8mdk
- Make it lib64 aware, let it know x86-64 does exist

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.4-7mdk
- rebuild for new alsa

* Tue Jan 22 2002 Stefan van der Eijk <stefan@eijk.nu> 0.3.4-6mdk
- BuildRequires

* Mon Oct 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.4-5mdk
- fix obsolete-tag Copyright

* Tue Jul 10 2001 Stefan van der Eijk <stefan@eijk.nu> 0.3.4-4mdk
- BuildRequires: gtk+-devel

* Thu Jul  5 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.4-3mdk
- rebuild

* Mon May 14 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.4-2mdk
- new SDL

* Thu Feb 15 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.4-1mdk
- 0.3.4

* Sat Jan  6 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.3-1mdk
- 0.3.3

* Wed Nov 29 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.2-2mdk
- rebuild to follow new lib policy in BuildRequires

* Tue Oct 24 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.2-1mdk
- 0.3.2

* Thu Sep 21 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-3mdk
- requires xmms

* Wed Sep 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-2mdk
- simple recompile

* Sun Aug 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.3.1-1mdk
- 0.3.1
- fix static x86 flags

* Fri Aug 25 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.2.5-1mdk
- first package for Linux-Mandrake

